#include "Classes.h"
#include "TTree.h"
#include "TFile.h"
#include "TChain.h"
#include "Riostream.h"

void MakeTree(int file_num)
{
	ClassB *detector = new ClassB;
	detector->Print();
	ClassA *event = new ClassA;
	
	TTree *tree = new TTree("tree","ClassA events");
	tree->SetAutoSave(30000000);
	tree->Branch("data", "ClassA", &event, 1000000, 0)->SetAutoDelete(kFALSE);
	
	UInt_t nevents = 1;
	
	while( nevents < 1000 ){
		
		event->SetNumber( nevents );
		tree->Fill();
		nevents++;
		
	}
	
	TFile file(Form("tests_%d.root",file_num),"recreate");	
	file.cd();
	detector->Write();//write ClassB to file
	tree->Write();//write tree to file
	file.Close();//close file
	
	delete event;
	delete detector;
	delete tree;
}	

void MakeSelector()
{
	TChain tchen("tree");
	tchen.Add("tests_1.root");
	tchen.Add("tests_2.root");
	tchen.Add("tests_3.root");
	
	ClassA* event = 0;
	cout << "Calling SetBranchAddress" << endl;
	tchen.SetBranchAddress("data",&event);
	
	cout << "Calling MakeSelector" << endl;
	tchen.MakeSelector("TestAnalysis");
}

void ProcessChain()
{
	TChain tchen("tree");
	tchen.Add("tests_1.root");
	tchen.Add("tests_2.root");
	tchen.Add("tests_3.root");
	
	tchen.Process("TestAnalysis.C+","",1);
}

