#define TestAnalysis_cxx
// The class definition in TestAnalysis.h has been generated automatically
// by the ROOT utility TTree::MakeSelector().
//
// This class is derived from the ROOT class TSelector.
// The following members functions are called by the TTree::Process() functions:
//    Begin():       called everytime a loop on the tree starts,
//                   a convenient place to create your histograms.
//    Notify():      this function is called at the first entry of a new Tree
//                   in a chain.
//    Process():     called for each event. In this function you decide what 
//                   to read and you fill your histograms.
//    Terminate():   called at the end of a loop on the tree,
//                   a convenient place to draw/fit your histograms.
//
//   To use this file, try the following session on your Tree T
//
// Root > T->Process("TestAnalysis.C")
// Root > T->Process("TestAnalysis.C","some options")
// Root > T->Process("TestAnalysis.C+")
//
#include "TestAnalysis.h"
#include "TH2.h"
#include "TStyle.h"


void TestAnalysis::Begin(TTree *tree)
{
   // Function called before starting the event loop.
   // When running with PROOF Begin() is only called in the client.
   // Initialize the tree branches.


   TString option = GetOption();

}

void TestAnalysis::SlaveBegin(TTree *tree)
{
   // Function called before starting the event loop.
   // When running with PROOF SlaveBegin() is called in each slave
   // Initialize the tree branches.

   Init(tree);

   TString option = GetOption();

}

Bool_t TestAnalysis::Process(Int_t entry)
{
   // Processing function. This function is called
   // to process an event. It is the user's responsability to read
   // the corresponding entry in memory (may be just a partial read).
   // Once the entry is in memory one can apply a selection and if the
   // event is selected histograms can be filled.


   return kTRUE;
}

void TestAnalysis::SlaveTerminate()
{
   // Function called at the end of the event loop in each PROOF slave.


}

void TestAnalysis::Terminate()
{
   // Function called at the end of the event loop.
   // When running with PROOF Terminate() is only called in the client.


}
